%define piname	watchdog_pi

Name:		opencpn-watchdog-plugin
Summary:	Plugin for OpenCpn implementing alarms
Version:	2.4.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# Bugtracker: http://willkamp.com/opencpn/flyspray/
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin implements various configurable alarms alerting the user about
the changing conditions round the boat.
Also implements an improved anchor alarm.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/watchdog_pi/data/*.svg


%changelog
* Sun Oct 06 2019 tex - 2.4.0-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 2.4.0-2pclos2019
- rebuild against updates

